[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringsEnumerator.GetCurrent

Return the current pointer in the list

## Declaration

Source position: classesh.inc line 598

`public function TStringsEnumerator.GetCurrent: string;`

## Description

GetCurrent returns the current string item in the enumerator.

## Errors

No checking is done on the validity of the current position.

## See also

MoveNext |  | Move the position of the enumerator to the next position in the list.
TStringItem |  | The TStringItem is used to store the string and object items in a TStringList string list instance. It should never be used directly.